# This file created by conda-build 3.27.0
# meta.yaml template originally from:
# /Users/runner/work/distributions/distributions/plugin/conda-recipe, last modified Thu Jan 30 23:31:31 2025
# ------------------------------------------------

package:
  name: q2-annotate
  version: 2025.4.0.dev0+17.g39373a2
source:
  path: /Users/runner/work/distributions/distributions/plugin
build:
  script: make install
  string: h3e4f42a_0
requirements:
  build:
    - bzip2 1.0.8 hfdf4475_7
    - ca-certificates 2024.12.14 h8857fd0_0
    - importlib-metadata 8.6.1 pyha770c72_0
    - libffi 3.4.2 h0d85af4_5
    - liblzma 5.6.3 hd471939_1
    - libsqlite 3.48.0 hdb6dae5_1
    - libzlib 1.3.1 hd23fc13_2
    - ncurses 6.5 h0622a9a_3
    - openssl 3.4.0 hc426f3f_1
    - packaging 24.2 pyhd8ed1ab_2
    - pip 25.0 pyh8b19718_0
    - python 3.10.16 h5acdff8_1_cpython
    - readline 8.2 h9e318b2_1
    - setuptools 75.8.0 pyhff2d567_0
    - tk 8.6.13 h1abcd95_1
    - tomli 2.2.1 pyhd8ed1ab_1
    - tzdata 2025a h78e105d_0
    - versioningit 3.1.2 pyhd8ed1ab_1
    - wheel 0.45.1 pyhd8ed1ab_1
    - zipp 3.21.0 pyhd8ed1ab_1
  host:
    - bzip2 1.0.8 hfdf4475_7
    - ca-certificates 2024.12.14 h8857fd0_0
    - importlib-metadata 8.6.1 pyha770c72_0
    - libffi 3.4.2 h0d85af4_5
    - liblzma 5.6.3 hd471939_1
    - libsqlite 3.48.0 hdb6dae5_1
    - libzlib 1.3.1 hd23fc13_2
    - ncurses 6.5 h0622a9a_3
    - openssl 3.4.0 hc426f3f_1
    - packaging 24.2 pyhd8ed1ab_2
    - pip 25.0 pyh8b19718_0
    - python 3.10.16 h5acdff8_1_cpython
    - readline 8.2 h9e318b2_1
    - setuptools 75.8.0 pyhff2d567_0
    - tk 8.6.13 h1abcd95_1
    - tomli 2.2.1 pyhd8ed1ab_1
    - tzdata 2025a h78e105d_0
    - versioningit 3.1.2 pyhd8ed1ab_1
    - wheel 0.45.1 pyhd8ed1ab_1
    - zipp 3.21.0 pyhd8ed1ab_1
  run:
    - altair
    - beautifulsoup4
    - bracken
    - busco >=5.5.0
    - diamond
    - eggnog-mapper >=2.1.10
    - gfatools
    - kaiju
    - kraken2
    - metabat2
    - pandas
    - parameterized
    - pyhmmer
    - python_abi 3.10.* *_cp310
    - q2-assembly 2025.4.*
    - q2-quality-control 2025.4.*
    - q2-types 2025.4.*
    - q2templates 2025.4.*
    - qiime2 2025.4.*
    - samtools
    - seqtk
    - tqdm
    - xmltodict
test:
  commands:
    - pytest --pyargs q2_annotate
  imports:
    - q2_annotate
    - qiime2.plugins.annotate
  requires:
    - parameterized
about:
  home: https://github.com/bokulich-lab/q2-annotate
  license: BSD-3-Clause
  license_family: BSD
extra:
  copy_test_source_files: true
  final: true
